# Prediction Market Positions `GET` `https://api.unusualwhales.com/api/predictions/market/{asset_id}/positions` Returns positions for a given prediction market asset. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `asset_id` | string | Yes | | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `amount` | string | | | `avg_price` | string | | | `category_num_markets` | integer | | | `category_score` | string | | | `category_sum_invested` | string | | | `category_sum_pnl` | string | | | `category_win_rate` | string | | | `invested_usd` | string | | | `position_start_at` | string | | | `realized_pnl` | string | | | `smart_score` | string | | | `tags` | array[string] | | | `total_bought` | string | | | `total_invested_usd` | string | | | `updated_at` | string | | | `user_address` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/predictions/market/{asset_id}/positions" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/predictions/market/{asset_id}/positions", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "amount": "5000", "avg_price": "0.42", "category_num_markets": 24, "category_score": "8.1", "category_sum_invested": "42000" } ] } ```